Skip to main content

activities

Fetches activities related to a project

activities(
page: Int = 1
limit: Int
params: ActivitiesSearch!
sortBy: ActivitySortByEnum = SORT
descending: Boolean
): ActivityCollection

Arguments​

activities.page ● Int scalar​

activities.limit ● Int scalar​

activities.params ● ActivitiesSearch! non-null input​

activities.sortBy ● ActivitySortByEnum enum​

Column name to order. Ex: label

activities.descending ● Boolean scalar​

false => ASC or true => DESC

Type​

ActivityCollection object​

ActivityCollection type

Example request

This generated query uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the projects query first and use data.projects.collection[].id as projectId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetActivities($params: ActivitiesSearch!) {\n activities(params: $params) { collection { id label title } metadata { currentPage limitValue totalCount } }\n}","variables":{"params":{"projectId":"<project_id>"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute